<?php

/************************************************************************/
/* Documents Module for PHP-Nuke                                        */
/* =============================                                        */
/*                                                                      */
/* Version 0.1 (Public Release 1)                                       */
/*                                                                      */
/* Authors:                                                             */
/*   John Voysey - Melkior@itmanagers.net                               */
/*   Daniel Palmer - OneNonly@itmanagers.net                            */
/*                                                                      */
/* Please note the authors take no responsibility for damage resulting  */
/* from use of this module.                                             */
/*                                                                      */
/* This program is free software. You can redistribute it and/or modify */
/* it under the terms of the GNU General Public License as published by */
/* the Free Software Foundation version 2 of the License.               */
/************************************************************************/

if (!eregi("modules.php", $_SERVER['PHP_SELF'])) {
    die ("You can't access this file directly...");
}



/* This array configures the directories available to browse.
$directories = array(
        "dir1" =>
                        array(  "path" => "/path/to/dir/1",
                                        "title" => "Meeting Minutes",
                                        "visible" => 0
                        ),
* This first line (dir1) is the "key" of the directory. It allows us to access the path through modules.php?Documents&start=dir1 - be sure to give it an appopriate name.

* The path is the start root directory for this key

* The title is what this directory will be called in the Sections list

* If "visible => 1" this directory will be shown available in the Available Sections list.

*/

$directories = array(
	"" =>
			array(	"path" => "",
					"title" => "",
					"visible" => 0
			),
        "" =>
                        array(  "path" => "",
                                        "title" => "",
                                        "visible" => 1
                        ),
	"" =>
			array(	"path" => "",
					"title" => "",
					"visible" => 1
			),
);


# Specify the filename that will contain descriptions for a directory.
# Files with this name will not appear in the file listing.
$dirdesfile = "directorydescription";

# Specify the filename that will control access to directories.
$diraccessfile = "access";

# If you don't want a list of the directories available but to default to a particular directory, uncomment the "$default_key" and specify the key
#$default_key = "dir1";

# If you want hits (Downloads) for files to be recorded set uncomment the following.  
# NOTE:  Currently not recommended on sites with heavy use!!!  Does not deal with multiple writes at one time!!!
$recordhits = 1;

# If you want hits (Downloads) for files to be shown with other file details uncomment the following.
$displayhits = 1;

$hitsextension = ".docs_hits";


# Path of where filetype icons are stored
$images_path = "/modules/".$module_name."/images";

# Title of page shown when no $default_key is set and users select Documents from the Modules Block
$list_directories_title = "Available Sections";


# This specifies the extensions, mimetypes, icon file and the description for different types of files.  Don't play with this unless it makes sense :)
function get_mimetypes() {
	global $images_path;
	$filetypes = array (
		"HTML" => array( name => "HTML Document", extension => array ('html','htm'), icon => "$images_path/html.jpg", mimetype => "text/html"),
		"Text" => array( name => "Text Document", extension => array ('txt'), icon => "$images_path/text.jpg", mimetype => "text/plain"),
		"PDF" => array( name => "PDF Document", extension => array ('pdf'), icon => "$images_path/pdf.jpg", mimetype => "application/pdf"),
		"Word" => array( name => "Word Document", extension => array ('doc'), icon => "$images_path/doc.jpg", mimetype => "application/msword"),
		"Excel" => array( name => "Excel Spreadsheet", extension => array ('xls'), icon => "$images_path/xls.jpg", mimetype => "application/vnd.ms-excel"),
		"PowerPoint" => array( name => "Powerpoint Presentation", extension => array ('ppt', 'pps'), icon => "$images_path/ppt.jpg", mimetype => "application/vnd.ms-powerpoint"),
		"Zip" => array( name => "Winzip Archive", extension => array ('zip'), icon => "$images_path/zip.jpg", mimetype => "application/zip"),
		"Access" => array( name => "Access Database", extension => array ('mdb'), icon => "$images_path/mdb.jpg", mimetype => "application/vnd.ms-access"),
		"Executable" => array( name => "Executable", extension => array ('exe', 'bat', 'com'), icon => "", mimetype => "application/octet-stream"),
		"JPEG" => array( name => "JPEG Graphic", extension => array ('jpg', 'jpeg'), icon => "$images_path/jpg.jpg", mimetype => "image/jpeg"),
		"Folder" => array( name => "Folder", extension => array (), icon => "$images_path/folder.jpg"),
		"PHP"	=> array ( name => "PHP Script", extension => array ('php', 'php3', 'php4'), icon => "$images_path/text.jpg", mimetype => "application/x-httpd-php"),
	);

	return $filetypes;
}

?>
