<?php

/************************************************************************/
/* Documents Module for PHP-Nuke                                        */
/* =============================                                        */
/*                                                                      */
/* Version 0.1 (Public Release 1)                                       */
/*                                                                      */
/* Authors:                                                             */
/*   John Voysey - Melkior@itmanagers.net                               */
/*   Daniel Palmer - OneNonly@itmanagers.net                            */
/*                                                                      */
/* Please note the authors take no responsibility for damage resulting  */
/* from use of this module.                                             */
/*                                                                      */
/* This program is free software. You can redistribute it and/or modify */
/* it under the terms of the GNU General Public License as published by */
/* the Free Software Foundation version 2 of the License.               */
/************************************************************************/


if (!eregi("modules.php", $_SERVER['PHP_SELF'])) {
    die ("You can't access this file directly...");
}

$module_name = basename(dirname(__FILE__));
$index = 1;

global $user, $prefix, $db, $admin;

cookiedecode($user);
$user_id = $cookie[0];

include("modules/$module_name/config.php");

# Specify the directory for which documents will be listed
$start = $_GET["start"];



function list_header($mySection) {
    global $module_name;
    global $start;
    global $admin;

	$target = check_target($_GET['target']);
	$dirdescription = checkdescription($mySection["path"]."/".$target);

    include("header.php");
    OpenTable();
    echo "<center><font class=\"option\">".$mySection["title"]."</font></center>";

    if (is_admin($admin)) {
      echo "<br><center>[ <a href=\"modules.php?name=$module_name&amp;file=index&amp;func=editdir&amp;start=$start&amp;target=$target\">Edit Description</a> ] ";
      echo "[ <a href=\"modules.php?name=$module_name&amp;file=index&amp;func=editpermissions&amp;start=$start&amp;target=$target\">Edit Permissions</a> ]";
      echo "</center>";
    }

    echo "<br>$dirdescription";
    CloseTable();
    echo "<br>";
    OpenTable();
}

function list_directories($mySections) {
    global $module_name;
	global $list_directories_title;

    include("header.php");
    OpenTable();
    echo "<center><font class=\"option\">$list_directories_title</font></center>";

    CloseTable();
    echo "<br>";
    OpenTable();

	echo "<table cellpadding=2 cellspacing=2>\n<tr align=left valign=center>\n<td><b>Section Name</b></td>\n<td><b>Description</b></td>\n</tr>\n";

	foreach ($mySections as $k => $section) {
		if ($section["visible"]) {
			$dir = check_directory($section["path"], $target);
			$dirdescription = checkdescription($dir);
			echo "<tr>\n<td><a href=\"modules.php?name=$module_name&amp;file=index&amp;start=$k&amp;target=$target\">$section[title]</a></td>\n<td>$dirdescription</td>\n</tr>\n";
		}
	}
	echo "</table>\n";
}

function check_directory($myPath, $target) {
	if($target != "") {
		$dir = $myPath."/".$target;
	}  else {
		$dir = $myPath;
	}

	if (is_dir($dir)) {
		return $dir;
	} else {
		return "";
	}
}

function edit_dir($mySection) {
    global $module_name;
    global $admin;
    global $dirdesfile;
    global $start;
#    global $target, $dir, $dirdescription;


	$target = check_target($_GET['target']);
	$dir = check_directory($mySection["path"], $target);
	$dirdescription = checkdescription($mySection["path"]."/".$target);


# Check user is an admin & that a dodgy path isn't being passed in..
    if ((!is_admin($admin)) || ($target != $_GET['target'])){
      echo "What do j00 want?!";
    } else {

      if ($_GET['save'] != 1) {
        echo "<form action=\"modules.php?name=$module_name&amp;file=index&amp;func=editdir&amp;start=$start&amp;target=$target&save=1\" METHOD=\"POST\">";
        echo "<center>Enter a new description for this directory.</center>";
        echo "<center><br><br><textarea name=\"newdirdes\" rows=\"10\" cols=\"70\" SIZE=100>$dirdescription</textarea></center>";
        echo "<center><br><br><INPUT TYPE=\"SUBMIT\"></center>";
        echo "</form>";
      } else {
        # write to the description file
        $filename = $dir."/".$dirdesfile;
        if (!$file = fopen($filename,"w")) {
          echo "Cannot open file ($filename)";
          exit;
        }
        $newtext = stripslashes($_POST["newdirdes"]);
        if ($newtext == "") {
          if (!ftruncate($file,0)) {
            echo "Cannot write to file ($filename)";
            exit;
          }
        } else {
          if (!fwrite($file,$newtext)) {
            echo "Cannot write to file ($filename)";
            exit;
          }
        }
        echo "<center>The description for this directory has been updated. <a href=\"modules.php?name=$module_name&amp;file=index&amp;start=$start&amp;target=$target\">Click here to return to the directory.</a></center>";
        fclose($file);
      }
    }
}

function check_target($myTarget) {

  $pos = strpos($myTarget,"..");
  if ($pos !== false) {
    $myTarget = "";
  }

  return $myTarget;

}

function list_directory($mySection) {
    global $module_name;
    global $admin;
    global $dirdesfile;
#    global $display_title;
    global $start;
    global $diraccessfile;
    global $hitsextension;
    global $displayhits;

	$target = check_target($_GET['target']);
	$dir = check_directory($mySection["path"], $target);
	$dirdescription = checkdescription($dir);


# Check User Permissions..
# Add a double check that the directory is valid!!
    if ((directorylocked($dir) && !checkdirectorypermissions($dir)) || ($dir == "")) {
      echo "You're not allowed in here!<br><br>If you normally have access to this folder, make sure you're <a href=\"/modules.php?name=Your_Account\">logged in</a>.";
    } else {
      $links = split("/",$target);
      $size = sizeof($links);
      $link = "";
      for ($i=0;$i<$size-1;$i++) {
        if ($link == "") {
          $link = $links[$i];
        } else {
          $link = $link."/".$links[$i];
        }
      }
      $pathlink = "";
      $pathtext = ".: <a href=\"modules.php?name=$module_name&amp;file=index&amp;start=$start&amp;target=$pathlink\">$mySection[title]</a>";
	  for ($i=0;$i<$size;$i++) {
	    if ($pathlink == "") { $pathlink = $links[$i]; } else { $pathlink = $pathlink."/".$links[$i]; }
	    if ($links[$i] != "")
	      $pathtext = $pathtext." :: <a href=\"modules.php?name=$module_name&amp;file=index&amp;start=$start&amp;target=$pathlink\">".$links[$i]."</a>";
	  }

	echo $pathtext;

      echo "<br><br><table width=100% border=0 cellpadding=1 cellspacing=1>";
      echo "  <tr><td colspan=4><a href=\"modules.php?name=$module_name&amp;file=index&amp;start=$start&amp;target=$link\">Up One Directory</a><br></td></tr>";
      echo "  <tr>";
      echo "    <td width=20></td>";
      echo "    <td><b>Filename</b></td>";
      echo "    <td><b>Size</b></td>";
	# Check for hits!
	if ($displayhits) {
		echo "    <td><b>Hits</b></td>";
        }
      echo "    <td><b>Type</b></td>";
      echo "  </tr>";

      # draw directories
      $dir_array = Array();
      if ($handle = opendir($dir)) {
  	    while (false !== ($file = readdir($handle))) {
  	      if ($file != "." && $file != "..") {
		$dir_array[] = $file;
	      }
	    }
            closedir($handle);
	    natcasesort($dir_array);
	    
	    foreach ($dir_array as $file) {
            	$filetype = get_file_type("Name", "Folder");
                $icon = $filetype["icon"];
	        $fullpath = $dir."/".$file;
	        if (is_dir($fullpath)) {
	          echo "  <tr>";
	          echo "    <td><img src=\"$icon\">";
	          if ($target == "") {
  	            echo "    <td colspan=3><a href=\"modules.php?name=$module_name&amp;start=$start&amp;file=index&amp;target=$file\">$file</a></td>";
  	          } else {
  	            echo "    <td colspan=3><a href=\"modules.php?name=$module_name&amp;start=$start&amp;file=index&amp;target=$target/$file\">$file</a></td>";
  	          }
	          echo "  </tr>";
	        }
	    }
      }

      # draw files
      $files_array = Array();
      if ($handle = opendir($dir)) {
        while (false !== ($file = readdir($handle))) {
          if ($file != "." && $file != ".." && $file != $diraccessfile && $file != $dirdesfile && (!preg_match ("/($hitsextension)$/s", $file))) {
		  $files_array[] = $file;
	  }
	}
        closedir($handle);
	natcasesort($files_array);
	foreach ($files_array as $file) {
            $filetype = get_file_type("Extension", $file);
		$ext = $filetype["name"];
		$icon = $filetype["icon"];
            $fullpath = $dir."/".$file;
            $filestats = stat($fullpath);
            $size = $filestats[7];
            $modified = date("l, M dS Y",$filestats[9]);
            clearstatcache();
            if (is_file($fullpath)) {
              echo "  <tr>";
              if ($icon != "") {
                echo "    <td><img src=\"$icon\"></td>";
              } else {
                echo "<td>&nbsp;</td>";
              }
              echo "    <td><a href=\"modules.php?name=$module_name&amp;file=index&amp;start=$start&amp;func=dlfile&amp;target=$target&amp;filename=$file\">$file</a></td>";
              echo "    <td>".formatfilesize($size)."</td>";

                # Check for hits!
                if ($displayhits) {
                        $filehits = file_get_hits($fullpath);
                        echo "    <td>$filehits</td>";
                }

              echo "    <td>$ext</td>";
              echo "  </tr>";
            }
        }
        echo "</table>";
      }
    }
}

function list_footer() {
  CloseTable();
  include("footer.php");
}

function download_file($mySection) {
#  global $base_directory;
#  global $documents_directory;


	$target = check_target($_GET['target']);
	$dir = check_directory($mySection["path"], $target);
	$file = check_target($_GET['filename']);

	if (($file == "") || ($dir == "") || ($file == $diraccessfile)) {
		echo "Thank you, please come again!";
	}
	else {
		$fullfile = $dir."/".$file;

		$mymime = get_file_type("Extension", $file);

		if ($mymime['mimetype'] != "") {
			$content_type = $mymime['mimetype'];
		}
		else {
			$content_type = "application/octet-stream";
		}

	file_add_hit($fullfile);

        #header("Content-type: octet/stream");
       header("Content-type: ".$content_type);
#       header("Content-disposition: attachment; filename=".basename($fullfile).";");
	header("Content-disposition: inline; filename=".basename($fullfile).";");
        #header("Content-length: ".filesize($fullfile));
        readfile($fullfile);
        exit;
	}
}

function get_file_type($method, $filename) {

	$types = get_mimetypes();

	if ($method == "Name") {

                foreach ($types as $k => $v) {
                        if ($v["name"] == $filename) {
                                return $v;
                                break;
                        }
                }

	}
	if ($method == "Extension") {
		ereg( ".*\.([a-zA-z0-9]{0,5})$", $filename, $regs );
		$f_ext = $regs[1];

		foreach ($types as $k => $v) {
			$my_ext = $v["extension"];
			if (in_array($f_ext, $my_ext)) {
				return $v;
				break;
			}
		}
	}
}

function get_file_icon($extension) {
  global $images_path;
  $icons['HTML Document'] = 'html.jpg';
  $icons['Text Document'] = 'text.jpg';
  $icons['Folder'] = 'folder.jpg';
  $icons['Word Document'] = 'doc.jpg';
  $icons['Access Database'] = 'mdb.jpg';
  $icons['Excel Spreadsheet'] = 'xls.jpg';
  $icons['Powerpoint Presentation'] = 'ppt.jpg';
  $icons['Winzip Archive'] = 'zip.jpg';
  $icons['PDF Document'] = 'pdf.jpg';
  if ($icons[$extension] != "") {
    return $images_path."/".$icons[$extension];
  } else {
    return "";
  }
}

function formatfilesize($filesize) {
  if ($filesize < 1024) {
    $size = $filesize."b";
  } else if ($filesize < 1048576) {
    $size = number_format($filesize/1024, 1, '.', ' ')."kb";
  } else if ($filesize < 1073741824) {
    $size = number_format($filesize/1024/1024, 1, '.', ' ')."Mb";
  } else if ($filesize < 1099511627776) {
    $size = number_format($filesize/1024/1024/1024, 1, '.', ' ')."Gb";
  }
  return $size;
}

function checkdescription($directory) {
  global $dirdesfile;
  if (file_exists($directory."/".$dirdesfile)) {
    return urldecode(file_get_contents($directory."/".$dirdesfile));
  }
}

function directorylocked($directory) {
  global $diraccessfile;
  if (file_exists($directory."/".$diraccessfile)) {
    return true;
  }
}

function checkdirectorypermissions($directory) {
  global $db, $user_id, $prefix, $diraccessfile;
  $permissions_file = $directory."/".$diraccessfile;
  if (file_exists($permissions_file)) {
    $permissions_text = file_get_contents($permissions_file);
    if ($permissions_text == "") {
      return true;
      exit;
    }
    $groups = explode("\n",$permissions_text);
    $sql = "SELECT group_name from ".$prefix."_bbgroups, ".$prefix."_bbuser_group WHERE ".$prefix."_bbgroups.group_id = ".$prefix."_bbuser_group.group_id AND ".$prefix."_bbuser_group.user_id = ".$user_id;
    $result = $db->sql_query($sql);
    while ($row = $db->sql_fetchrow($result)) {
      $group_name = $row[0];
      if (in_array($group_name,$groups)) {
        return true;
        exit;
      }
    }
  }
}

function edit_permissions($mySection) {
    global $module_name;
    global $admin;
    global $diraccessfile;
    global $start;
    global $db,$prefix;
#    global $target, $dir, $dirdescription;


	$target = check_target($_GET['target']);
	$dir = check_directory($mySection["path"], $target);




    $sql = "SELECT group_name from ".$prefix."_bbgroups";
    $result = $db->sql_query($sql);

# Check user is an admin & that a dodgy path isn't being passed in..
    if ((!is_admin($admin)) || ($target != $_GET['target'])){
      echo "What do j00 want?!";
    } else {
      if ($_GET['save'] != 1) {
        $permissions_file = $dir."/".$diraccessfile;
        if (file_exists($permissions_file)) {
          $permissions_text = file_get_contents($permissions_file);
          $groups = explode("\n",$permissions_text);
        }
        echo "<form action=\"modules.php?name=$module_name&amp;file=index&amp;func=editpermissions&amp;start=$start&amp;target=$target&save=1\" METHOD=\"POST\">";
        echo "Select the User Groups that are allowed access to this directory:<br><br>";

        $sql = "SELECT group_name from ".$prefix."_bbgroups";
        $result = $db->sql_query($sql);
        while ($rows = $db->sql_fetchrow($result)) {
          $group_name = $rows[0];
          if (count($groups) != 0 && in_array($group_name,$groups)) {
            echo "<input checked type=\"checkbox\" name=\"$group_name\">$group_name<br>";
          } else {
            echo "<input type=\"checkbox\" name=\"$group_name\">$group_name<br>";
          }
        }
        echo "<center><br><br><INPUT TYPE=\"SUBMIT\"></center>";
        echo "</form>";
      } else {
        $filename = $dir."/".$diraccessfile;
        $output = "";
        while ($rows = $db->sql_fetchrow($result)) {
          $group_name = $rows[0];
          $value = $_POST[$group_name];
          if ($value == "on") {
            $output = $output.$group_name."\n";
          }
        }
        if (!$file = fopen($filename,"w")) {
          echo "Cannot open file ($filename)";
          exit;
        }
        if ($output == "") {
          if (!ftruncate($file,0)) {
            echo "Cannot write to file ($filename)";
            exit;
          }
        } else {
          if (!fwrite($file,$output)) {
            echo "Cannot write to file ($filename)";
            exit;
          }
        }
        echo "<center>The permissions for this directory have been updated. <a href=\"modules.php?name=$module_name&amp;file=index&amp;start=$start&amp;target=$target\">Click here to return to the directory.</a></center>";
        fclose($file);
      }
    }
}

function file_add_hit($file) {
	global $recordhits, $hitsextension;
	$hitsfile = $file . $hitsextension;


	if ($recordhits) {
		$currenthits = file_get_hits($file);

		# Clean Up filenames with spaces and &s
		$hitsfile = str_replace(" ", "\ ", $hitsfile);
		$hitsfile = str_replace("&", "\&", $hitsfile);

		system ("echo " . ($currenthits + 1) . " > " . $hitsfile);

	}	

}

function file_get_hits($file) {
        global $hitsextension;
        $hitsfile = $file . $hitsextension;


	if ( file_exists($hitsfile) ) {
        	ob_start();
                readfile($hitsfile, 10000);
                $currenthits = ob_get_contents();
                ob_end_clean();
        }
	else {
		$currenthits = 0;
	}

	return $currenthits;
}

switch($func) {
    default:
	if (array_key_exists($start, $directories)) {
		list_header($directories[$start]);
		list_directory($directories[$start]);
		list_footer();
	}
	else {
		# If there is no start directory but a valid default directory exists....
		if (array_key_exists($default_key, $directories)) {
			list_header($directories[$default_key]);
			list_directory($directories[$default_key]);
			list_footer($directories[$default_key]);
		}
		else {
			list_directories($directories);
			list_footer();
		}
	}
    break;

    case "dlfile";
	if (array_key_exists($start, $directories)) {
		download_file($directories[$start]);
	}
	else {
		# If there is no start directory but a valid default directory exists....
		if (array_key_exists($default_key, $directories)) {
			download_file($directories[$default_key]);
		}
		else {
			echo "What do you think you're downloading.... ?";
		}
	}
    break;

    case "editdir";
	if (array_key_exists($start, $directories)) {
			list_header($directories[$start]);
			edit_dir($directories[$start]);
			list_footer();
	}
	else {
		# If there is no start directory but a valid default directory exists....
		if (array_key_exists($default_key, $directories)) {
			list_header($directories[$default_key]);
			edit_dir($directories[$default_key]);
			list_footer();
		}
		else {
			echo "What do you think you're editing.... ?";
		}
	}
    break;

    case "editpermissions";
	if (array_key_exists($start, $directories)) {
			list_header($directories[$start]);
			edit_permissions($directories[$start]);
			list_footer();
	}
	else {
		# If there is no start directory but a valid default directory exists....
		if (array_key_exists($default_key, $directories)) {
			list_header($directories[$default_key]);
			edit_permissions($directories[$default_key]);
			list_footer();
		}
		else {
			echo "What do you think you're downloading.... ?";
		}
	}
    break;

}

?>
